function [ys,check] = rbcb_monetary_steadystate(ys,exe)


global M_ override override_param_names


check = 0;

% real parameters for basic RBC model
paramfile_rbca
% parameters for monetary policy and sticky prices
paramfile_rbca_monetary
% bank parameters
paramfile_rbcb

if exist('override')
noverride = length(override);
    for icount = 1:noverride
        eval([override_param_names(icount,:),'=override(icount);'])
    end
    
end

% all other composite parameters
paramfile_rbcb_composite

% export parameters
nparams = size(M_.param_names,1);
for icount = 1:nparams
    eval(['M_.params(icount) = ',M_.param_names(icount,:),';'])
end

% transfer parameters to Dynare.
% send chip to the parameter list
%M_.params(strmatch('chip',M_.param_names,'exact')) = chip;
%M_.params(strmatch('pbss',M_.param_names,'exact')) = pbss;
%M_.params(strmatch('puss',M_.param_names,'exact')) = puss;
%M_.params(strmatch('pcss',M_.param_names,'exact')) = pcss;

k = kss;
y = yss;
w = wss;
rs = rsss;
lambdac = lambdacss;
l = lss;
r = rss;
rmon = rss; 
n = nss;
eta = etass;
v = vss;
s = sss;
in = inss;
ig = igss;
q = qss;
c = css;
gc = gcss;
a = 0; 
spread =spreadp;
l2n = sss/nss;
infl = infl_ss;
sigma = 1;
phi = 0;
dphidp = 0;
dphidlp = 0;
lambda = lambdap;
bt = 0;
n2y = n/y;
betavar = betap;
cpref = 0;
rpot = rss;


nvars = M_.endo_nbr;

ys = zeros(nvars,1);

for i_indx = 1:nvars
   eval(['ys(i_indx)=',M_.endo_names(i_indx,:),';']) 
end

% check residuals from steady state guess ys
%[residual] = rbcb_monetary_static(ys, zeros(M_.exo_nbr,1), M_.params)
%residual
 


